<?php
if (isset($_SESSION['usuario'])){
	$user=$_SESSION['usuario'];
}
else
{
	?>
	<script>
	location.href="index.php?errorusuario=3";
</script>
<?php
}
include ("conexion.php");
?>

<script>
function eliminar(producto,idprod)
{
	if(confirm("Deseas eliminar el producto: "+producto+"?"))
	{
		location.href="deleteproducto.php?idProd="+idprod+"&usua=<?php echo $user;?>";
	}
}
</script>

<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<script src="prototype.js" language="javascript"></script>
<script src="ajax_orios.js" language="javascript"></script>

	<table width="90%" border="0" align="center">
		<tr>
			<td><p class="style10">PRODUCTOS</p>
			</td>
		</tr>
		<tr>

			<td>
				<table width="100%" height="0" border="0" cellpadding="0" cellspacing="5">

				<tr>

					<td width="8%" valign="top">
						<form id="form2" name="form2" method="post" action="main.php?a=21">
							<input name="Submit2" type="submit" class="boton2" value="Nuevo">
						</form>
					</td>

					<td width="92%" valign="top"><span class="style4">Buscar producto:
						<input name="producto" type="text" id="producto" size="40" />
						<input name="button" type="submit" class="boton2" id="button" onClick="javascript:filtroproducto('<?php echo $tipo;?>')" value="Buscar">
					</span></td>

				</tr>

				<tr>

					<td colspan="3" align="center" valign="top"><hr width="100%" size="1" noshade="noshade" color="#0D3356"></td>

				</tr>

			</table>
		</td>

		</tr>

	</table>


				<div id="filtrado">

					<?php
					//PAGINACION
					// Tama�o de resultados por pagina
					/*
					$tama�o=100;
					// Pagina a mostrar e incio del registro
					$pagina = @$_GET["pagina"];
					if (!$pagina) {
					$inicio = 0;
					$pagina=1;
				}
				else {
				$inicio = ($pagina - 1) * $tama�o;
			}
			*/
			//=========IMPRESION DE TABLA

			echo "<table align='center' cellpadding='2' class='tablaBordes' style='width:98%'>";
			echo "<tr class='tablaCabecera' align='center'>";
			echo "<td>ID</td>";
			echo "<td>Nombre</td>";
			echo "<td>Clasificaci&oacute;n</td>";
			echo "<td>M&iacute;nimo</td>";
			echo "<td>Presentaci&oacute;n</td>";
			echo "<td>Unidades<br>x Paquete</td>";
			echo "<td>Editar</td>";
			echo "<td>Agregar a<br>paquetes</td>";
			if($tipo=="administrador")
			{
				echo "<td>Eliminar</td>";
			}
			echo "</tr>";


			$query="SELECT clave,nombre,descripcion,minimo,costounidad,clasificacion,idPresentacion,unidadespaquete FROM productos ORDER BY nombre ASC";
			$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
			while($fila = mysql_fetch_array($result))

			{

				echo "<tr class='tablaBordes'>";

				//clave
				echo "<td class='style1'>$fila[0]</td>";

				//nombre

				echo "<td class='style1'>".utf8_encode($fila[1])."</td>";

				//clasificacion

				echo "<td class='style1'>";

				echo $fila[5];

				echo "</td>";

				//minimo

				echo "<td class='style1' align='center'>";

				echo $fila[3];

				echo "</td>";

				//presentacion

				$query2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[6]'";
				$resul2=mysql_query($query2,$conex) or die ("No se realizo query2");
				@$presen=mysql_result($resul2,0,'presentacion');

				echo "<td class='style1' align='center'>";

				echo $presen;

				echo "</td>";

				//unidades por paquete

				echo "<td class='style1' align='center'>";
				echo $fila[7];
				echo "</td>";

				//Editar

				echo "<td class='style4' align='center'>";
				echo "<a href='main.php?a=22&idProd="; echo $fila[0]; echo "'> <img src='img/icon_edit.jpg' border='0' ALT='Editar producto'> </a>";
				echo "</td>";

				 //Contenido
				 echo "<td align='center'>";
				 echo "<a href='main.php?a=201&idProd="; echo $fila[0]; echo "'> <img src='img/icon_new.jpg' border='0' ALT='Contenido del tratamiento'> </a>";
				 echo "</td>";

				//Eliminar
				if($tipo=="administrador")
				{
					echo "<td class='style4' align='center'>";
					echo "<a href='javascript:eliminar(&quot;".utf8_encode($fila[1])."&quot;,&quot;".$fila[0]."&quot;)'> <img src='img/icon_delete.jpg' border='0' ALT='Eliminar producto'> </a>";
					echo "</td>";
				}

				echo "</tr>";

			}
			echo "</table>";

			?>


	</td>

</tr>

</table>

<p align="center">

	<input name="Submit" type="button" class="boton2" onClick="javascript:print()" value="Imprimir">
</p>

</div>
